Package org.sonatype.plexus.components.sec.dispatcher.model.io.xpp3

## Class SecurityConfigurationXpp3Writer

- java.lang.Object
- - org.sonatype.plexus.components.sec.dispatcher.model.io.xpp3.SecurityConfigurationXpp3Writer

    public class SecurityConfigurationXpp3Writer
    extends java.lang.Object

Class SecurityConfigurationXpp3Writer.

Version:
  $Revision$ $Date$

### Constructor Summary

Constructors
`SecurityConfigurationXpp3Writer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setFileComment​(java.lang.String fileComment)` Method setFileComment.
`void` `write​(java.io.OutputStream stream, SettingsSecurity settingsSecurity)` Method write.
`void` `write​(java.io.Writer writer, SettingsSecurity settingsSecurity)` Method write.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityConfigurationXpp3Writer

    public SecurityConfigurationXpp3Writer()

### Method Detail

#### setFileComment

    public void setFileComment​(java.lang.String fileComment)

Method setFileComment.

Parameters:
  `fileComment` -

#### write

    public void write​(java.io.Writer writer,
                      SettingsSecurity settingsSecurity)
               throws java.io.IOException

Method write.

Parameters:
  `writer` -
  `settingsSecurity` -
Throws:
  `java.io.IOException`

#### write

    public void write​(java.io.OutputStream stream,
                      SettingsSecurity settingsSecurity)
               throws java.io.IOException

Method write.

Parameters:
  `stream` -
  `settingsSecurity` -
Throws:
  `java.io.IOException`